var pbxConn;
var userConn;
new JsonApi("user").onconnected(function (conn) {
    if (conn.app == "jtel-jtelsalesforce") {
        userConn = conn;
        conn.onmessage(function (msg) {
            var obj = JSON.parse(msg);
            log("user - " + JSON.stringify(obj));
            if (obj.mt === "UserMessage") {
                conn.send(JSON.stringify({
                    api: "user",
                    mt: "UserMessageResult",
                    src: obj.src
                }));
            }
            if (obj.mt === "UserLicenseCheck") {
                var userToCheck = obj.user;
                log("UserLicenseCheck - " + userToCheck);
                if (pbxConn) {
                    pbxConn.send(JSON.stringify({
                        api: "PbxAdminApi",
                        mt: "CheckAppLic",
                        cn: userToCheck,
                        lic: "App(jtel-jtelsalesforce)"
                    }));
                }
                else {
                    conn.send(JSON.stringify({
                        api: "user",
                        mt: "UserLicenseCheckResult",
                        isLicensed: false
                    }));
                }
            }
        });
    }
});

new JsonApi("admin").onconnected(function (conn) {
    if (conn.app == "jtel-jtelsalesforceadmin") {
        conn.onmessage(function (msg) {
            var obj = JSON.parse(msg);
            if (obj.mt == "AdminMessage") {
                conn.send(JSON.stringify({
                    api: "admin",
                    mt: "AdminMessageResult",
                    src: obj.src
                }));
            }
        });
    }
});

new PbxApi("PbxAdminApi").onconnected(function (conn) {
    pbxConn = conn;
    conn.onmessage(function (msg) {
        var obj = JSON.parse(msg);
        log("PbxAdminApi - " + JSON.stringify(obj));
        if (obj.mt === "CheckAppLicResult") {
            if (obj.ok === true) {
                // licensed mode
                log("CheckAppLicResult - licensed");
                if (userConn) {
                    userConn.send(JSON.stringify({
                        api: "user",
                        mt: "UserLicenseCheckResult",
                        isLicensed: true
                    }));
                }
            } else {
                // unlicensed mode
                log("CheckAppLicResult - unlicenced");
                if (userConn) {
                    userConn.send(JSON.stringify({
                        api: "user",
                        mt: "UserLicenseCheckResult",
                        isLicensed: false
                    }));
                }
            }
        }
    });
});